php5 PDO-firebird debian ubuntu

Pues el día de hoy,

hubo un nuevo requerimiento, ya que prefiero no usar ubuntu, no habia configurado esto en realidad es muy simple y como agarre la configuracion a medias no sabia que hay ya en el server y que no,

una vez instalado y configurado Firebird

bueno lo primero fue

sudo apt-get install php5-dev

luego

apt-get source php5

cd php5-*
cd ext/pdo_firebird
phpize
sudo ln -s /usr/include/php5 /usr/include/php
./configure
make
sudo make install

despues

sudo nano (vi, segun prefieran) /etc/php5/conf.d/pdo.ini (este directorio puede variar)
# configuracion para el modulo PDO Firebird
extension=pdo.so
extension=pdo_firebird.so

reiniciamos apache y comprobamos

php -i | grep PDO

actualizacion :

Al hacer ./configure me salió este error “libfbclient, libgds or libib_util not found”

Esto pasa porque no se tienen las librerías de producción de firebird instaladas.

En Ubuntu se pueden instalar así:

sudo apt-get install firebird2.5-d

(esto pasa cuando instalas Firebird desde  el repositorio, de instalar Firebird desde el archivo .tar.gz esto no sucede.)

gracias por el aporte a

Bushiko 

saludos

r1chd

5 pensamientos en “php5 PDO-firebird debian ubuntu

  1. Bushiko

    Gracias! fue de utilidad.

    Al hacer ./configure me salió este error “libfbclient, libgds or libib_util not found”

    Esto pasa porque no se tienen las librerías de producción de firebird instaladas. En Ubuntu se pueden instalar así:

    sudo apt-get install firebird2.5-dev

    Responder

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *